## jxtray.swing
Class TreeConnectionListener

    java.lang.Object
      jxtray.swing.TreeConnectionListener

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener, java.awt.event.MouseListener, javax.swing.event.TreeModelListener, javax.swing.event.TreeSelectionListener

public class TreeConnectionListener
extends java.lang.Object
implements javax.swing.event.TreeSelectionListener, java.awt.event.MouseListener, javax.swing.event.TreeModelListener, java.awt.event.ActionListener

Constructor Summary
`TreeConnectionListener(JxtJTree tree, javax.swing.JTabbedPane tabbedPane, javax.swing.tree.DefaultTreeModel model)`

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent e)`
`void` `changeLabel(java.lang.String oldLabel, java.lang.String newLabel, TreeConnectionElement root)`
`void` `changeLabelCurrentNode(java.lang.String newlabel, int type)` Remove the currently selected node.
`javax.swing.tree.DefaultTreeModel` `getModel()`
`void` `mouseClicked(java.awt.event.MouseEvent e)`
`void` `mouseEntered(java.awt.event.MouseEvent e)`
`void` `mouseExited(java.awt.event.MouseEvent e)`
`void` `mousePressed(java.awt.event.MouseEvent e)`
`void` `mouseReleased(java.awt.event.MouseEvent e)`
`void` `removeCurrentNode()`
`void` `removeNode(java.lang.String label)` Supprime le noeud dont le label contient num
`void` `treeNodesChanged(javax.swing.event.TreeModelEvent e)`
`void` `treeNodesInserted(javax.swing.event.TreeModelEvent e)`
`void` `treeNodesRemoved(javax.swing.event.TreeModelEvent e)`
`void` `treeStructureChanged(javax.swing.event.TreeModelEvent e)`
`void` `valueChanged(javax.swing.event.TreeSelectionEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeConnectionListener

    public TreeConnectionListener(JxtJTree tree,
                                  javax.swing.JTabbedPane tabbedPane,
                                  javax.swing.tree.DefaultTreeModel model)

Method Detail

### valueChanged

    public void valueChanged(javax.swing.event.TreeSelectionEvent e)

  Specified by:
    `valueChanged` in interface `javax.swing.event.TreeSelectionListener`

### getModel

    public javax.swing.tree.DefaultTreeModel getModel()

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`

### removeCurrentNode

    public void removeCurrentNode()

### removeNode

    public void removeNode(java.lang.String label)

  Supprime le noeud dont le label contient num

### changeLabelCurrentNode

    public void changeLabelCurrentNode(java.lang.String newlabel,
                                       int type)

  Remove the currently selected node.

### treeNodesChanged

    public void treeNodesChanged(javax.swing.event.TreeModelEvent e)

  Specified by:
    `treeNodesChanged` in interface `javax.swing.event.TreeModelListener`

### treeNodesInserted

    public void treeNodesInserted(javax.swing.event.TreeModelEvent e)

  Specified by:
    `treeNodesInserted` in interface `javax.swing.event.TreeModelListener`

### treeNodesRemoved

    public void treeNodesRemoved(javax.swing.event.TreeModelEvent e)

  Specified by:
    `treeNodesRemoved` in interface `javax.swing.event.TreeModelListener`

### treeStructureChanged

    public void treeStructureChanged(javax.swing.event.TreeModelEvent e)

  Specified by:
    `treeStructureChanged` in interface `javax.swing.event.TreeModelListener`

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### changeLabel

    public void changeLabel(java.lang.String oldLabel,
                            java.lang.String newLabel,
                            TreeConnectionElement root)